### Enumeration

# GskPathForeachFlags

since: 4.14

#### Declaration

    flags Gsk.PathForeachFlags

#### Description [src]

Flags that can be passed to `gsk_path_foreach()` to influence what kinds of operations the path is decomposed into.

By default, `gsk_path_foreach()` will only emit a path with all operations flattened to straight lines to allow for maximum compatibility. The only operations emitted will be `GSK_PATH_MOVE`, `GSK_PATH_LINE` and `GSK_PATH_CLOSE`.

Available since: 4.14

#### Members

`GSK_PATH_FOREACH_ALLOW_ONLY_LINES`

  The default behavior, only allow lines.

  - Value: `0`
  - Nickname: `only-lines`
  - Available since: 4.14
`GSK_PATH_FOREACH_ALLOW_QUAD`

  Allow emission of `GSK_PATH_QUAD` operations.

  - Value: `1`
  - Nickname: `quad`
  - Available since: 4.14
`GSK_PATH_FOREACH_ALLOW_CUBIC`

  Allow emission of `GSK_PATH_CUBIC` operations.

  - Value: `2`
  - Nickname: `cubic`
  - Available since: 4.14
`GSK_PATH_FOREACH_ALLOW_CONIC`

  Allow emission of `GSK_PATH_CONIC` operations.

  - Value: `4`
  - Nickname: `conic`
  - Available since: 4.14